Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jsp22
Class TaglibTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jsp22.TaglibTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, TaglibType<T>

    public class TaglibTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, TaglibType<T>

This class implements the `taglibType` xsd type

Original Documentation:

The taglibType defines the syntax for declaring in
the deployment descriptor that a tag library is
available to the application. This can be done
to override implicit map entries from TLD files and
from the container.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`TaglibTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`TaglibTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getTaglibLocation()` Returns the `taglib-location` element
`java.lang.String` | `getTaglibUri()` Returns the `taglib-uri` element
`TaglibType<T>` | `removeTaglibLocation()` Removes the `taglib-location` element
`TaglibType<T>` | `removeTaglibUri()` Removes the `taglib-uri` element
`TaglibType<T>` | `setTaglibLocation(java.lang.String taglibLocation)` If not already created, a new `taglib-location` element with the given value will be created.
`TaglibType<T>` | `setTaglibUri(java.lang.String taglibUri)` If not already created, a new `taglib-uri` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaglibTypeImpl

    public TaglibTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### TaglibTypeImpl

    public TaglibTypeImpl(T t,
                          java.lang.String nodeName,
                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setTaglibUri

    public TaglibType<T> setTaglibUri(java.lang.String taglibUri)

  If not already created, a new `taglib-uri` element with the given value will be created. Otherwise, the existing `taglib-uri` element will be updated with the given value.

  Specified by:
    `setTaglibUri` in interface `TaglibType<T>`
  Returns:
    the current instance of `TaglibType`

### removeTaglibUri

    public TaglibType<T> removeTaglibUri()

  Removes the `taglib-uri` element

  Specified by:
    `removeTaglibUri` in interface `TaglibType<T>`
  Returns:
    the current instance of `TaglibType`

### getTaglibUri

    public java.lang.String getTaglibUri()

  Returns the `taglib-uri` element

  Specified by:
    `getTaglibUri` in interface `TaglibType<T>`
  Returns:
    the node defined for the element `taglib-uri`

### setTaglibLocation

    public TaglibType<T> setTaglibLocation(java.lang.String taglibLocation)

  If not already created, a new `taglib-location` element with the given value will be created. Otherwise, the existing `taglib-location` element will be updated with the given value.

  Specified by:
    `setTaglibLocation` in interface `TaglibType<T>`
  Returns:
    the current instance of `TaglibType`

### removeTaglibLocation

    public TaglibType<T> removeTaglibLocation()

  Removes the `taglib-location` element

  Specified by:
    `removeTaglibLocation` in interface `TaglibType<T>`
  Returns:
    the current instance of `TaglibType`

### getTaglibLocation

    public java.lang.String getTaglibLocation()

  Returns the `taglib-location` element

  Specified by:
    `getTaglibLocation` in interface `TaglibType<T>`
  Returns:
    the node defined for the element `taglib-location`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD